Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 447780 - net-analyzer/snort init scripts snort.rc1* still use opts variable
Summary: net-analyzer/snort init scripts snort.rc1* still use opts variable
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick Lauer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: s-s-d-deprecated
  Show dependency tree
 
Reported: 2012-12-18 23:33 UTC by Brian De Wolf
Modified: 2013-04-10 18:32 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian De Wolf 2012-12-18 23:33:37 UTC
The snort rc script in the portage tree still uses the opts variable, causing noise whenever it gets used.  I fixed this in place on my systems but the real version should probably be updated.

Here is a diff of the changes I made to resolve this issue:

--- /usr/portage/net-analyzer/snort/files/snort.rc11    2011-09-22 10:39:51.000000000 -0700
+++ /etc/init.d/snort   2012-12-05 10:40:14.000000000 -0800
@@ -3,7 +3,8 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/net-analyzer/snort/files/snort.rc11,v 1.1 2011/09/22 17:39:51 patrick Exp $
 
-opts="checkconfig reload"
+extra_commands="checkconfig"
+extra_started_commands="reload"
 
 depend() {
        need net


Reproducible: Always
Comment 1 Tony Vroon gentoo-dev 2013-04-10 18:32:44 UTC
+*snort-2.9.2.3-r1 (10 Apr 2013)
+
+  10 Apr 2013; Tony Vroon <chainsaw@gentoo.org> +snort-2.9.2.3-r1.ebuild,
+  +files/snort.rc12:
+  Init script fixes by Brian De Wolf to cease using deprecated opts variable,
+  closes bug #447780. /run tmpfs coping measures by Peter Wilmott close bug
+  #452786. Ebuild ported to EAPI 5, using REQUIRED_USE and dropping now
+  unnecessary die statements for ebuild helper functions.

Thank you for your contribution to Gentoo Linux Brian. Sorry to have kept you waiting that long for an obviously correct fix.